package main

import "git.milar.in/milarin/adverr"

var (
	ErrNoSuitableParser          = adverr.NewErrTmpl("ErrNoSuitableParser", "could not parse torrent with ID %s because no suitable parser found")
	ErrTorrentParseFailed        = adverr.NewErrTmpl("ErrTorrentParseFailed", "could not parse torrent with ID %s (parsed with '%s')")
	ErrAnimeNotFound             = adverr.NewErrTmpl("ErrAnimeNotFound", "could not find anime with name '%s'")
	ErrAnilistTokenNotObtainable = adverr.NewErrTmpl("ErrAnilistTokenNotObtainable", "neither ANILIST_TOKEN nor STORAGE_PATH provided")
	ErrInvalidStorageParams      = adverr.NewErrTmpl("ErrInvalidStorageParams", "STORAGE_USER or STORAGE_PASS not provided")
	ErrStorageRequestFailed      = adverr.NewErrTmpl("ErrStorageRequestFailed", "request to file storage could not be made")
	ErrAnimeListNotObtainable    = adverr.NewErrTmpl("ErrAnimeListNotObtainable", "anime list from anilist.co not obtainable (reason: %s)")
	ErrTorrentNotObtainable      = adverr.NewErrTmpl("ErrTorrentNotObtainable", "torrents from nyaa.si not obtainable (reason: %s)")
	ErrInvalidAnimeStatus        = adverr.NewErrTmpl("ErrInvalidAnimeStatus", "invalid status '%s' in ANIME_STATUS (allowed: %s)")
	ErrInvalidGlobSyntax         = adverr.NewErrTmpl("ErrInvalidGlobSyntax", "invalid filepath.Glob syntax: '%s'")
	ErrNoSuitableFileFound       = adverr.NewErrTmpl("ErrNoSuitableFileFound", "no file found with essential properties for anime '%s' and episode %d")

	ErrDownloadTorrentFileFailed = adverr.NewErrTmpl("ErrDownloadTorrentFileFailed", "torrent file download failed: %s")
	ErrLockFileCreationFailed    = adverr.NewErrTmpl("ErrLockFileCreationFailed", "creation of lock file for anime '%s' and episode %d failed")
	ErrSaveTorrentFileFailed     = adverr.NewErrTmpl("ErrSaveTorrentFileFailed", "torrent file could not be saved: %s")
)
