package main

import (
	"fmt"
	"time"
)

func main() {
	fmt.Println("generated priority values:")
	fmt.Print(Map2Table("language", PreferredLanguages))
	fmt.Print(Map2Table("subtitle", PreferredSubtitles))
	fmt.Print(Map2Table("resolution", PreferredResolutions))
	fmt.Println()

	// get access token once at startup to be sure that an access token is obtainable at all
	if _, err := GetAnilistAccessToken(); err != nil {
		panic(err)
	}

	ticker := time.NewTicker(PollRate)
	defer ticker.Stop()

	checkTorrents()
	for range ticker.C {
		checkTorrents()
	}
}
